package com.lizhou.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.lizhou.entity.User;

/**
 * 用户servlet
 * @author bojiangzhou
 * @date 2016年2月28日
 */
public class UserServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		
		User user = new User();
		user.setId(1);
		user.setName("Chiangchou");
		
		//将用户信息保存到session中
		request.getSession().setAttribute("user", user);
		//保存一个字符串信息
		request.getSession().setAttribute("message", "用户登录成功");
		
		//重定向
		response.sendRedirect("showUser.jsp");;
		
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
	}

}
